<?php

/**
 * Active Callbacks
 *
 * @package Neo Magazine
 */

// Theme Options.
function neo_magazine_is_pagination_enabled( $control ) {
	return ( $control->manager->get_setting( 'neo_magazine_enable_pagination' )->value() );
}
function neo_magazine_is_breadcrumb_enabled( $control ) {
	return ( $control->manager->get_setting( 'neo_magazine_enable_breadcrumb' )->value() );
}

// Flash News Section.
function neo_magazine_is_flash_news_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'neo_magazine_enable_flash_news_section' )->value() );
}
function neo_magazine_is_flash_news_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'neo_magazine_flash_news_content_type' )->value();
	return ( neo_magazine_is_flash_news_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function neo_magazine_is_flash_news_section_and_content_type_category_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'neo_magazine_flash_news_content_type' )->value();
	return ( neo_magazine_is_flash_news_section_enabled( $control ) && ( 'category' === $content_type ) );
}

// Banner Section.
function neo_magazine_is_banner_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'neo_magazine_enable_banner_section' )->value() );
}

// Banner Section - Main Banner.
function neo_magazine_is_main_news_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'neo_magazine_main_news_content_type' )->value();
	return ( neo_magazine_is_banner_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function neo_magazine_is_main_news_section_and_content_type_category_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'neo_magazine_main_news_content_type' )->value();
	return ( neo_magazine_is_banner_section_enabled( $control ) && ( 'category' === $content_type ) );
}

// Check if static home page is enabled.
function neo_magazine_is_static_homepage_enabled( $control ) {
	return ( 'page' === $control->manager->get_setting( 'show_on_front' )->value() );
}
